Subject: Re: bug#26714: non-intel systems should use grub-efi

From: Efraim Flashner <[email-masked]>
Date: Sun, 30 Apr 2017 16:20:53 +0000

On April 30, 2017 5:10:08 PM GMT+03:00, Marius Bakke <[email-masked]> wrote:
>Efraim Flashner <[email-masked]> writes:
>
>> I'm starting to stumble my way through building an install image for
>> aarch64, and I changed gnu/system/install.scm to use 'grub-efi' in
>place
>> of 'grub' in the list of packages (~line 333). Grub-efi builds
>> successfully on armhf and aarch64 and grub does not, and as part of
>> compiling install.scm grub is built as part of assembling the image.
>
>How does grub fail to build aarch64? This sounds like an upstream bug.
>
>Note that 'grub-efi' currently does not have tests enabled.

As we discussed briefly on irc, the tests indeed are not run for grub-efi.  Grub fails during the test phase in a similar manner to arm failing, with many many test failures.

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.